
From: Gerd Knorr <kraxel@bytesex.org>

Convert leftover insmod options to new-style.

Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/tda9887.c |   18 +++++++++---------
 25-akpm/drivers/media/video/tuner.c   |    6 +++---
 2 files changed, 12 insertions(+), 12 deletions(-)

diff -puN drivers/media/video/tda9887.c~v4l-tuner-modparam drivers/media/video/tda9887.c
--- 25/drivers/media/video/tda9887.c~v4l-tuner-modparam	Mon Nov  8 13:54:33 2004
+++ 25-akpm/drivers/media/video/tda9887.c	Mon Nov  8 13:54:33 2004
@@ -36,7 +36,7 @@ I2C_CLIENT_INSMOD;
 
 /* insmod options */
 static unsigned int debug = 0;
-MODULE_PARM(debug,"i");
+module_param(debug, int, 0644);
 MODULE_LICENSE("GPL");
 
 /* ---------------------------------------------------------------------- */
@@ -377,10 +377,10 @@ static unsigned int port1  = 1;
 static unsigned int port2  = 1;
 static unsigned int qss    = UNSET;
 static unsigned int adjust = 0x10;
-MODULE_PARM(port1,"i");
-MODULE_PARM(port2,"i");
-MODULE_PARM(qss,"i");
-MODULE_PARM(adjust,"i");
+module_param(port1, int, 0644);
+module_param(port2, int, 0644);
+module_param(qss, int, 0644);
+module_param(adjust, int, 0644);
 
 static int tda9887_set_insmod(struct tda9887 *t, char *buf)
 {
@@ -460,10 +460,10 @@ static int tda9887_set_pinnacle(struct t
 
 /* ---------------------------------------------------------------------- */
 
-static char *pal = "-";
-MODULE_PARM(pal,"s");
-static char *secam = "-";
-MODULE_PARM(secam,"s");
+static char pal[] = "-";
+module_param_string(pal, pal, 0644, sizeof(pal));
+static char secam[] = "-";
+module_param_string(secam, secam, 0644, sizeof(secam));
 
 static int tda9887_fixup_std(struct tda9887 *t)
 {
diff -puN drivers/media/video/tuner.c~v4l-tuner-modparam drivers/media/video/tuner.c
--- 25/drivers/media/video/tuner.c~v4l-tuner-modparam	Mon Nov  8 13:54:33 2004
+++ 25-akpm/drivers/media/video/tuner.c	Mon Nov  8 13:54:33 2004
@@ -1,5 +1,5 @@
 /*
- * $Id: tuner.c,v 1.27 2004/10/20 09:43:34 kraxel Exp $
+ * $Id: tuner.c,v 1.29 2004/11/07 13:17:15 kraxel Exp $
  */
 
 #include <linux/module.h>
@@ -1102,8 +1102,8 @@ static void set_type(struct i2c_client *
 	}
 }
 
-static char *pal = "-";
-MODULE_PARM(pal,"s");
+static char pal[] = "-";
+module_param_string(pal, pal, 0644, sizeof(pal));
 
 static int tuner_fixup_std(struct tuner *t)
 {
_
